package com.syjy.calculate.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 考核信息
 *
 * @author zcl
 * @version 1.0
 * @since 2022/11/17 10:16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AssessmentInfo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 时间
     */
    private long time;

    /**
     * 考核类型（电量/分）
     */
    private String assessmentType;

    /**
     * 短期上报率考核
     */
    private String shortReportRate;

    /**
     * 超短期上报率考核
     */
    private String ultraShortReportRate;

    /**
     * 短期准确率考核
     */
    private String shortAccuracyRate;

    /**
     * 超短期准确率考核
     */
    private String ultraShortAccuracyRate;

    /**
     * 短期合格率考核
     */
    private String shortPassRate;

    /**
     * 超短期合格率考核
     */
    private String ultraShortPassRate;

    /**
     * 单机合格率考核
     */
    private String singleMachinePassRate;

    /**
     * 可用发电功率考核
     */
    private String ablePowerAccuracyRate;

    /**
     * 理论发电功率考核
     */
    private String theoryPowerAccuracyRate;

    /**
     * 测风塔/气象站考核
     */
    private String anemometerTowerAccuracyRate;

}
